avg_adm(1)

NAME
avg_adm - Average using ADM

SYNOPSIS
avg_adm [options] list0 [list1 ...]

DESCRIPTION
Compute average-shape average-intensity images and deformation maps using an active deformation model.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--label, -l
    Label mode (as opposed to grey)

--set-padding <float>
    Set padding value in input files [Default: disabled]

--replace-padding <float>
    Replace padding value in input files [Default: disabled]

--pad-out <double>, -p <double>
    Padding value for output file [Default: disabled]

--jacobian, -j
    Average Jacobian determinants of deformations.

--auto-scale, -a
    Auto-scale image intensities

--char
    Output is 8 bits, signed [default: automatic]

--byte
    Output is 8 bits, unsigned

--short
    Output is 16 bits, signed

--ushort
    Output is 16 bits, unsigned

--int
    Output is 32 bits signed

--float
    Output is 32 bits floating point

--double
    Output is 64 bits floating point

--no-scale-model, -S
    Exclude scale from statistical deformation model

--no-ref-model, -R
    Exclude reference coordinate frame from deformation model

--no-ref-data, -r
    Exclude reference data from averaging

--output <string>, -o <string>
    Output file name [FORMAT:]path [Default: NONE]

--input-warp <string>, -I <string>
    Input file name for average warp [Default: NONE]

--output-warp <string>, -O <string>
    Output file name for average warp [Default: NONE]

--with-affine, -A
    Include affine component of first warp in output

--nn
    Use nearest neigbor interpolation

--cubic
    Use tri-cubic interpolation

--replace-from <string>
    Replace from pattern

--replace-to <string>
    Replace to pattern

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.